Subject: Re: bug#21349: who shows no users nowadays on Debian

From: "L. A. Walsh" <[email-masked]>
Date: Wed, 26 Aug 2015 17:19:18 -0700

積丹尼 Dan Jacobson wrote:
> (info "(coreutils) who invocation") says
>
> If given no non-option arguments, ‘who’ prints the following
> information for each user currently logged on: login name, terminal
> line, login time, and remote hostname or X display.
>
> $ who
>   
The same thing happens on openSuSE -- I think it's because of the move to
systemd -- it doesn't maintain the wtmp/utmp stuf..

>  who                                                               
>  who am i
>  who -a
>  who -b
>  who -d
>  who -H
NAME     LINE         TIME         COMMENT
>  who -l
>  who -m
>  who -p
>  who -q
I> who -r
----
I don't have utmp, just a smallish wtmp:
So I tried a symlink:

sudo ln -s /var/log/wtmp /var/run/utmp

It's not quite the same, but some things work:

Ishtar:law> who am i
law      pts/1        Aug 26 16:37 (athenae)
Ishtar:law> who
law      pts/0        Aug 26 11:59 (athenae)
law      pts/1        Aug 26 16:37 (athenae)

who -b doesn't work, but uptime does:
Ishtar:law> who -b
Ishtar:law> uptime
 17:16pm  up 61 days 12:36,  2 users,  load average: 0.00, 0.06, 0.11

So has debian been moving to systemd as well?